#ifndef TOOLS
#define TOOLS

#ifdef __cplusplus
extern "C"
{
#endif

/*
 *  tools.h
 *  Indenteur
 *
 *  Created by Lucas on 20/01/2007.
 *  Enhanced by Emmanuel Delahaye on 21/01/2007.
 *  Distributed under the GNU General Public Licence
 *
 */
#include <stdio.h>

/* macros ============================================================== */
#define PRJ "Indenteur" // :p
#define VER  "1.0.1 Beta"
#define CPY1 "Copyright 2006-2007 Spootnik-Dev (http://spootnikdev.dyndns.org/)"
#define CPY2 "Copyright 2007 Emmanuel Delahaye (http://mapage.noos.fr/emdel/)"

#define KEYWORD "#891315"
#define BLUE "#0000FF"
#define COMMENT "#236E25"
#define STRING "#891315"
#define MACRO "#891315"


#define TO_DO(a) printf ("A faire : %s at %s:%d\n", #a, __FILE__, __LINE__)

/* constants =========================================================== */
/* types =============================================================== */
/* structures ========================================================== */
/* internal public functions =========================================== */
/* entry points ======================================================== */

int fclean (char*s, FILE *fp);

char *str_cat (char *str1, char const* str2);

char *readFromFile (const char *path);
unsigned int writeToFile (const char *path, const char *data);

/* public variables ==================================================== */
/* inline public functions  ============================================ */

#ifdef __cplusplus
}
#endif

#endif /* guard */

